//
//  AppnextNativeAdsTestTableViewCell.m
//  AppnextNativeAdsSDKTest
//
//  Created by Eran Mausner on 29/08/2016.
//  Copyright © 2016 Appnext. All rights reserved.
//

#import "AppnextNativeAdsTestTableViewCell.h"
#import <SDWebImage/UIImageView+WebCache.h>

@interface AppnextNativeAdsTestTableViewCell()

@property (nonatomic, strong) IBOutlet UIImageView *adImage;

@property (nonatomic, strong) IBOutlet UILabel *adTitleLabel;
@property (nonatomic, strong) IBOutlet UILabel *adDescriptionLabel;
@property (nonatomic, strong) IBOutlet UILabel *adButtonText;
@property (nonatomic, strong) IBOutlet UILabel *adUrlImgLabel;
@property (nonatomic, strong) IBOutlet UILabel *adUrlImgWideLabel;
@property (nonatomic, strong) IBOutlet UILabel *adCategoriesLabel;
@property (nonatomic, strong) IBOutlet UILabel *adIdxLabel;
@property (nonatomic, strong) IBOutlet UILabel *adIosPackageLabel;
@property (nonatomic, strong) IBOutlet UILabel *adSupportedDevicesLabel;
@property (nonatomic, strong) IBOutlet UILabel *adUrlVideoLabel;
@property (nonatomic, strong) IBOutlet UILabel *adUrlVideoHighLabel;
@property (nonatomic, strong) IBOutlet UILabel *adUrlVideo30SecLabel;
@property (nonatomic, strong) IBOutlet UILabel *adUrlVideo30SecHighLabel;
@property (nonatomic, strong) IBOutlet UILabel *adBannerIdLabel;
@property (nonatomic, strong) IBOutlet UILabel *adCampaignIdLabel;
@property (nonatomic, strong) IBOutlet UILabel *adCountryLabel;
@property (nonatomic, strong) IBOutlet UILabel *adCampaignTypeLabel;
@property (nonatomic, strong) IBOutlet UILabel *adSupportedVersionLabel;
@property (nonatomic, strong) IBOutlet UILabel *adStoreRatingLabel;
@property (nonatomic, strong) IBOutlet UILabel *adAppSizeLabel;

@end

@implementation AppnextNativeAdsTestTableViewCell

- (void)awakeFromNib
{
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void) reloadViews
{
    if (self.adData)
    {
        self.adTitleLabel.text = self.adData.title.length ? self.adData.title : @"";
        self.adDescriptionLabel.text = self.adData.desc.length ? self.adData.desc : @"";
        self.adButtonText.text = [NSString stringWithFormat:@"ButtonText:%@", (self.adData.buttonText.length ? self.adData.buttonText : @"")];
        self.adUrlImgLabel.text = [NSString stringWithFormat:@"UrlImg:%@", (self.adData.urlImg.length ? self.adData.urlImg : @"")];
        self.adUrlImgWideLabel.text = [NSString stringWithFormat:@"UrlImgWide:%@", (self.adData.urlImgWide.length ? self.adData.urlImgWide : @"")];
        self.adCategoriesLabel.text = [NSString stringWithFormat:@"Categories:%@", (self.adData.categories.length ? self.adData.categories : @"")];
        self.adIdxLabel.text = [NSString stringWithFormat:@"Idx:%@", (self.adData.idx.length ? self.adData.idx : @"")];
        self.adIosPackageLabel.text = [NSString stringWithFormat:@"IosPackage:%@", (self.adData.iosPackage.length ? self.adData.iosPackage : @"")];
        self.adSupportedDevicesLabel.text = [NSString stringWithFormat:@"SupportedDevices:%@", (self.adData.supportedDevices.length ? self.adData.supportedDevices : @"")];
        self.adUrlVideoLabel.text = [NSString stringWithFormat:@"UrlVideo:%@", (self.adData.urlVideo.length ? self.adData.urlVideo : @"")];
        self.adUrlVideoHighLabel.text = [NSString stringWithFormat:@"UrlVideoHigh:%@", (self.adData.urlVideoHigh.length ? self.adData.urlVideoHigh : @"")];
        self.adUrlVideo30SecLabel.text = [NSString stringWithFormat:@"UrlVideo30Sec:%@", (self.adData.urlVideo30Sec.length ? self.adData.urlVideo30Sec : @"")];
        self.adUrlVideo30SecHighLabel.text = [NSString stringWithFormat:@"UrlVideo30SecHigh:%@", (self.adData.urlVideo30SecHigh.length ? self.adData.urlVideo30SecHigh : @"")];
        self.adBannerIdLabel.text = [NSString stringWithFormat:@"BannerId:%@", (self.adData.bannerId.length ? self.adData.bannerId : @"")];
        self.adCampaignIdLabel.text = [NSString stringWithFormat:@"CampaignId:%@", (self.adData.campaignId.length ? self.adData.campaignId : @"")];
        self.adCountryLabel.text = [NSString stringWithFormat:@"Country:%@", (self.adData.country.length ? self.adData.country : @"")];
        self.adCampaignTypeLabel.text = [NSString stringWithFormat:@"CampaignType:%@", (self.adData.campaignType.length ? self.adData.campaignType : @"")];
        self.adSupportedVersionLabel.text = [NSString stringWithFormat:@"SupportedVersion:%@", (self.adData.supportedVersion.length ? self.adData.supportedVersion : @"")];
        self.adStoreRatingLabel.text = [NSString stringWithFormat:@"StoreRating:%@", (self.adData.storeRating.length ? self.adData.storeRating : @"")];
        self.adAppSizeLabel.text = [NSString stringWithFormat:@"AppSize:%@", (self.adData.appSize.length ? self.adData.appSize : @"")];

        if (self.adData.urlImg.length)
        {
            [self.adImage sd_setImageWithURL:[NSURL URLWithString:self.adData.urlImg]
                            placeholderImage:[UIImage imageNamed:@"Icon"]];
        }
    }
}

#pragma mark - Actions

- (IBAction) adClicked:(id)sender
{
    if (self.delegate && [self.delegate respondsToSelector:@selector(adClicked:)])
    {
        [self.delegate adClicked:self];
    }
}

- (IBAction) impressionClicked:(id)sender
{
    if (self.delegate && [self.delegate respondsToSelector:@selector(impressionClicked:)])
    {
        [self.delegate impressionClicked:self];
    }
}

- (IBAction) videoStartedClicked:(id)sender
{
    if (self.delegate && [self.delegate respondsToSelector:@selector(videoStartedClicked:)])
    {
        [self.delegate videoStartedClicked:self];
    }
}

- (IBAction) videoEndedClicked:(id)sender
{
    if (self.delegate && [self.delegate respondsToSelector:@selector(videoEndedClicked:)])
    {
        [self.delegate videoEndedClicked:self];
    }
}

@end
